Bug 242594 - security/libssh: Update to 0.9.3
Summary: security/libssh: Update to 0.9.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://www.libssh.org/2019/12/10/lib...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-12-12 11:02 UTC by Lorenzo Salvadore
Modified: 2019-12-20 20:41 UTC (History)
1 user (show)

See Also:
salvadore: merge-quarterly?


Attachments
libssh - 0.9.3 (1.19 KB, patch)
2019-12-12 11:02 UTC, Lorenzo Salvadore
salvadore: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore freebsd_committer 2019-12-12 11:02:45 UTC
Created attachment 209888 [details]
libssh - 0.9.3

Update to 0.9.3.
Changelog:
https://www.libssh.org/2019/12/10/libssh-0-9-3-and-libssh-0-8-8-security-release/

The port itself has been tested successfully with poudriere on {11.3,12.1}-RELEASE {i386,amd64}.
I am also testing the ports that depends on it, but this will take some time since my machine is a bit old. If someone wants to help, here is the complete list of dependent ports that need to be tested:

- devel/kio-extras
- net/frr5
- net/bird2
- net/frr6
- net/remmina-plugin-nx
- net/wireshark
- net/x2goclient
- net/remmina
- net/frr7
- net/sshping
- multimedia/kodi
- multimedia/ffmpeg
- net-mgmt/rtrlib
- net-mgmt/netxms
- editors/codelite
- sysutils/tmate
- sysutils/tmate-slave
- ftp/yafc
- security/openvas8-libraries
- security/hydra
Comment 1 Automation User 2019-12-12 11:19:31 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/102575937
Comment 2 Lorenzo Salvadore freebsd_committer 2019-12-20 19:50:56 UTC
All dependent ports have been tested successfully on 12.1-RELEASE except:
- net-mgmt/netxms: it is broken on 12.1, hence I tested it on 11.3-RELEASE, successfully;
-  sysutils/tmate-slave: the port is broken on all supported FreeBSD versions.

The update is then ready to be commited.
Comment 3 Tobias C. Berner freebsd_committer 2019-12-20 20:40:56 UTC
Committed. Thanks.
Comment 4 commit-hook freebsd_committer 2019-12-20 20:41:30 UTC
A commit references this bug:

Author: tcberner
Date: Fri Dec 20 20:40:45 UTC 2019
New revision: 520523
URL: https://svnweb.freebsd.org/changeset/ports/520523

Log:
  security/libssh: Update to 0.9.3

  PR:		242594
  Submitted by:	Lorenzo Salvadore <phascolarctos@protonmail.ch>  (maintainer)

Changes:
  head/security/libssh/Makefile
  head/security/libssh/distinfo
  head/security/libssh/pkg-plist